Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.set
Interface IObservableSet

All Superinterfaces:
  Collection, IObservable, IObservableCollection, Iterable, Set

All Known Subinterfaces:
  IViewerObservableSet

All Known Implementing Classes:
  AbstractObservableSet, ComputedSet, DecoratingObservableSet, ListToSetAdapter, MappedSet, ObservableSet, UnionSet, WritableSet

    public interface IObservableSet

extends Set, IObservableCollection

A set whose changes can be tracked by set change listeners.

Since:
  1.0
See Also:
  `AbstractObservableSet`, `ObservableSet`
Restriction:
  This interface is not intended to be implemented by clients. Clients should instead subclass one of the classes that implement this interface. Note that direct implementers of this interface outside of the framework will be broken in future releases when methods are added to this interface.

Method Summary
`boolean` `add(Object o)`
`boolean` `addAll(Collection c)`
`void` `addSetChangeListener(ISetChangeListener listener)`
`boolean` `contains(Object o)`
`boolean` `containsAll(Collection c)`
`boolean` `equals(Object o)`
`Object` `getElementType()` Returns the element type of this observable collection, or `null` if this observable collection is untyped.
`int` `hashCode()`
`boolean` `isEmpty()`
`Iterator` `iterator()`
`boolean` `remove(Object o)`
`boolean` `removeAll(Collection c)`
`void` `removeSetChangeListener(ISetChangeListener listener)`
`boolean` `retainAll(Collection c)`
`int` `size()`
`Object[]` `toArray()`
`Object[]` `toArray(Object[] a)`

Methods inherited from interface java.util.Set
`clear`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Method Detail

### addSetChangeListener

    void addSetChangeListener(ISetChangeListener listener)

  Parameters:
    `listener` -

### removeSetChangeListener

    void removeSetChangeListener(ISetChangeListener listener)

  Parameters:
    `listener` -

### getElementType

    Object getElementType()

  Description copied from interface: `IObservableCollection`
  Returns the element type of this observable collection, or `null` if this observable collection is untyped.

  Specified by:
    `getElementType` in interface `IObservableCollection`
  Returns:
    the element type or `null` if untyped

### size

    int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  "TrackedGetter"

### isEmpty

    boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `Set`
  "TrackedGetter"

### contains

    boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `Set`
  "TrackedGetter"

### iterator

    Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Set`
  "TrackedGetter"

### toArray

    Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `Set`
  "TrackedGetter"

### toArray

    Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `Set`
  "TrackedGetter"

### add

    boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  "TrackedGetter"

### remove

    boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `Set`
  "TrackedGetter"

### containsAll

    boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `Set`
  "TrackedGetter"

### addAll

    boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `Set`
  "TrackedGetter"

### retainAll

    boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `Set`
  "TrackedGetter"

### removeAll

    boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `Set`
  "TrackedGetter"

### equals

    boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `Set`
  Overrides:
    `equals` in class `Object`
  "TrackedGetter"

### hashCode

    int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `Set`
  Overrides:
    `hashCode` in class `Object`
  "TrackedGetter"

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.